package com.coherentlogic.fred.client.db.integration.dao;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.coherentlogic.fred.client.core.domain.ReleaseDates;

/**
 * Data access pattern implementation for {@link ReleaseDates} objects.
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
@Component(value="releaseDatesDAO")
@Transactional
public class ReleaseDatesDAO extends DefaultDAO<ReleaseDates> {

    @Override
    public ReleaseDates find(long primaryKey) {
        return find(ReleaseDates.class, primaryKey);
    }
}
