package com.coherentlogic.fred.client.db.integration.dao;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.coherentlogic.fred.client.core.domain.Categories;

/**
 * Data access pattern implementation for {@link Categories} objects.
 *
 * @author <a href="support@coherentlogic.com">Support</a>
 */
@Component(value="categoriesDAO")
@Transactional
public class CategoriesDAO extends DefaultDAO<Categories> {

    @Override
    public Categories find (long primaryKey) {
        return find(Categories.class, primaryKey);
    }
}
