package com.coherentlogic.fred.client.db.integration.dao;

import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.coherentlogic.fred.client.core.domain.Seriess;

/**
 * Data access pattern implementation for {@link Seriess} objects.
 *
 * @author <a href="mailto:support@coherentlogic.com">Support</a>
 */
@Component(value="seriessDAO")
@Transactional
public class SeriessDAO extends DefaultDAO<Seriess> {

    @Override
    public Seriess find (long primaryKey) {
        return find(Seriess.class, primaryKey);
    }
}
